Subject: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100

From: Jean-Philippe Gravel <[email-masked]>
Date: Thu, 28 Feb 2013 22:31:03 -0500

> Thanks.  This looks like a very good change indeed.  In order for us to
> include it in Emacs, we need a copyright assignment; I hope you will be
> willing to sign one.  I will contact you off-list about how to do this.

My copyright assignment is finally complete.

While I was waiting for that, I found a problem with my patch.  If you
use the gdb command "finish" to exit from a function, gdb replies with
a dump of the returned value (even though gdb-mi will not show it).
My previous patch was failing with a regexp overflow if the return
value was too big.  This new patch will solve this problem.